package com.zehong.communication.model;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

@Data
public class SendBatchSms extends BaseRequestModel{

    /**
     * 群发号码
     * [\"13333333333\"]
     */
    @NotBlank(message = "群发号码不能为空")
    private String phoneNumberJson;

    /**
     * 群发短信模板
     */
    @NotBlank(message = "短信模板不能为空")
    private String templateCode;

    /**
     * 群发短信签名
     * [\"泽宏云\",\"泽宏云\"]
     */
    @NotBlank(message = "短信签名不能为空")
    private String signNameJson;

    /**
     * [{\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"},{\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"}]
     * 群发短信变量
     */
    private String templateParamJson;

}
