package com.zehong.communication.model;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;

@Data
public class SendSms extends BaseRequestModel {

    /**
     * 手机号码
     */
    @NotEmpty(message = "手机号不能为空")
    @Pattern(regexp = "^1[0-9]{10}$", message = "手机号不合法")
    private String phoneNumber;

    /**
     * 短信模板
     */
    @NotBlank(message = "短信模板不能为空")
    private String templateCode;

    /**
     * 短信签名
     */
    @NotBlank(message = "短信签名不能为空")
    private String signName;

    /**
     * 模板变量
     * {\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"}
     */
    private String templateParam;
}
