package com.zehong.communication.service;

import com.zehong.communication.common.result.Result;
import com.zehong.communication.model.SendBatchVoiceNotify;
import com.zehong.communication.model.SendVoiceNotify;

import java.io.IOException;
import java.net.URISyntaxException;

public interface VoiceNotifyService {

    /**
     * 发送语音 被叫号码，限单个，仅支持11位国内号码
     * @param sendVoiceNotify 实体
     * @return String
     */
    Result sendVoiceNotify(SendVoiceNotify sendVoiceNotify) throws IOException, URISyntaxException;

    /**
     *批量发送语音 被叫号码，模版无变量多个则以英文半角分号“;”分割；模板带变量，多个号码以英文分号“;”分割，号码和变量以英文逗号“,”隔开， 多个变量以竖线“|”隔开，如 130XXXXXXXX,123|456;186XXXXXXXX,321|654(注意：文件语音模板类型 号码之间分隔用“,”隔开)
     * @param sendBatchVoiceNotify 实体
     * @return String
     */
    Result sendBatchVoiceNotify(SendBatchVoiceNotify sendBatchVoiceNotify) throws IOException, URISyntaxException;
}
