package com.zehong.communication.service.impl;

import com.zehong.communication.common.result.Result;
import com.zehong.communication.model.SendBatchVoiceNotify;
import com.zehong.communication.model.SendVoiceNotify;
import com.zehong.communication.service.VoiceNotifyService;
import com.zehong.communication.util.HttpUtil;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.net.URISyntaxException;
import java.util.HashMap;
import java.util.Map;

@Service
public class VoiceNotifyServiceImpl implements VoiceNotifyService {

    @Value("${voiceNotifyURL}")
    private String voiceNotifyURL;

    @Value("${appId}")
    private String appId;

    @Value("${appKey}")
    private String appKey;

    @Value("${batchVoiceNotifyURL}")
    private String batchVoiceNotifyURL;

  /*  @Value("${displayNum}")
    private String displayNum;*/

    @Override
    public Result sendVoiceNotify(SendVoiceNotify sendVoiceNotify) throws IOException, URISyntaxException {
        Map<String,Object> params = getParams();
        params.put("mobile",sendVoiceNotify.getPhoneNumber());
        params.put("templateId", sendVoiceNotify.getTemplateId());
        if(StringUtils.isNotBlank(sendVoiceNotify.getParam())){
            params.put("param",sendVoiceNotify.getParam());
        }
        return HttpUtil.doPost(voiceNotifyURL,params);
    }

    @Override
    public Result sendBatchVoiceNotify(SendBatchVoiceNotify sendBatchVoiceNotify) throws IOException, URISyntaxException {
        Map<String,Object> params = getParams();
        params.put("mobile",sendBatchVoiceNotify.getPhoneNumberJson());
        params.put("templateId", sendBatchVoiceNotify.getTemplateId());
        return HttpUtil.doPost(batchVoiceNotifyURL,params);
    }

    private Map<String,Object> getParams(){
        Map<String,Object> params = new HashMap<>();
        params.put("appId",appId);
        params.put("appKey",appKey);
        //params.put("displayNum",displayNum);
        return params;
    }
}
